Package Gnumed :: Package business :: Module gmPraxis :: Class cPraxisBranch |
[frames] | no frames]

# Class cPraxisBranch

source code

                                       object --+
                                                |
    pycommon.gmBusinessDBObject.cBusinessDBObject --+
                                                    |
                                                   cPraxisBranch

Represents a praxis branch

Instance Methods
format(self) | source code
lock(self, exclusive=False) | source code
unlock(self, exclusive=False) | source code
get_comm_channels(self, comm_medium=None) | source code
Inherited from `pycommon.gmBusinessDBObject.cBusinessDBObject`: `__del__`, `__getitem__`, `__init__`, `__setitem__`, `__str__`, `__unicode__`, `fields_as_dict`, `get_fields`, `get_patient`, `get_updatable_fields`, `is_modified`, `refetch_payload`, `same_payload`, `save`, `save_payload` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Properties
| org_unit
| organization
| address
Inherited from `object`: `__class__`

Method Details

### format(self) | source code
Overrides: pycommon.gmBusinessDBObject.cBusinessDBObject.format

Property Details

### org_unit Get Method: _get_org_unit(self) Set Method: unreachable(x)

### organization Get Method: _get_org(self) Set Method: unreachable(x)

### address Get Method: _get_address(self) Set Method: unreachable(x)